<template>
    <div>
        <footer class="footer">
            <v-app id="inspire" class="footer__wrapper">
                <v-footer
                darknes
                padless
                >
                    <v-card
                        flat
                        tile
                        class="teal  black--text text-center"
                    >
                        <v-card-text>
                            <v-btn
                                v-for="icon in icons"
                                :key="icon"
                                class="mx-4 white--text"
                                icon
                            >
                                <v-icon size="24px">
                                {{ icon }}
                                </v-icon>
                            </v-btn>
                        </v-card-text>
                    
                        <v-card-text class="white--text pt-0">
                            © 2004, Vacanse. Все права защищены После слов «Все права защищены» точка не ставится. Вот пример информации об авторских правах для книги, которая была опубликована в 1998 году, а затем переиздана в 2001-ом и 2004-ом:
                            Читать далее:
                            https://protext.su/pro/kak-pisat-informatsiyu-ob-avtorskih-pr/
                            © ПроТекст
                        </v-card-text>
                
                        <v-divider></v-divider>
                
                        <v-card-text class="white--text">
                            {{ new Date().getFullYear() }} — <strong>Vacanse</strong>
                        </v-card-text>
                    </v-card>
                </v-footer>
            </v-app>
        </footer>
    </div>
</template>

<script>
export default{
    data: () => ({
        icons: [
      'mdi-facebook',
      'mdi-twitter',
      'mdi-linkedin',
      'mdi-instagram',
    ],
    }),
}
</script>

<style>
.footer{
    margin-top: 100px;
    background-color: #009688;
}

.footer__wrapper{
    max-width: 1440px;
    margin: 0 auto;
}

.main{
    margin-top: 100px;
}

</style>